org.eclipse.microprofile.openapi.models.parameters

## Interface RequestBody

All Superinterfaces:
  Constructible, Extensible<RequestBody>, Reference<RequestBody>

    public interface RequestBody
    extends Constructible, Extensible<RequestBody>, Reference<RequestBody>

This interface represents the request body of an operation in which body parameters can be specified.

See Also:
  requestBody Object

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default RequestBody` `content(Content content)` Sets the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.
`default RequestBody` `description(String description)` Sets the description of this RequestBody and return this instance of RequestBody
`Content` `getContent()` Returns the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.
`String` `getDescription()` Returns the description of this instance of RequestBody.
`Boolean` `getRequired()` Returns whether this instance of RequestBody is required for the operation.
`default RequestBody` `required(Boolean required)` Sets whether this instance of RequestBody is required or not and returns this instance of RequestBody
`void` `setContent(Content content)` Sets the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.
`void` `setDescription(String description)` Sets the description of this instance of RequestBody.
`void` `setRequired(Boolean required)` Sets whether this instance of RequestBody is required or not.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Reference

`getRef, ref, setRef`

### Method Detail

#### getDescription

    String getDescription()

Returns the description of this instance of RequestBody.

Returns:
  a brief description of the RequestBody

#### setDescription

    void setDescription(String description)

Sets the description of this instance of RequestBody. to the parameter.

Parameters:
  `description` - the brief description of the RequestBody

#### description

    default RequestBody description(String description)

Sets the description of this RequestBody and return this instance of RequestBody

Parameters:
  `description` - the brief description of the RequestBody
Returns:
  this RequestBody instance

#### getContent

    Content getContent()

Returns the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.

Returns:
  the content of this RequestBody

#### setContent

    void setContent(Content content)

Sets the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.

Parameters:
  `content` - the content that describes the RequestBody

#### content

    default RequestBody content(Content content)

Sets the content of this instance of RequestBody, where the keys in content are media type names and the values describe it.

Parameters:
  `content` - the content that describes the RequestBody
Returns:
  RequestBody instance with the modified content property

#### getRequired

    Boolean getRequired()

Returns whether this instance of RequestBody is required for the operation.

Returns:
  true iff the RequestBody is required, false otherwise

#### setRequired

    void setRequired(Boolean required)

Sets whether this instance of RequestBody is required or not.

Parameters:
  `required` - true iff the RequestBody is required, false otherwise

#### required

    default RequestBody required(Boolean required)

Sets whether this instance of RequestBody is required or not and returns this instance of RequestBody

Parameters:
  `required` - true iff the RequestBody is required, false otherwise
Returns:
  this RequestBody instance